Loading...
Searching...
No Matches
OpenMesh::Smoother::LaplaceSmootherT< Mesh > Class Template Reference

Laplacian Smoothing. More...

`#include <OpenMesh/Tools/Smoother/LaplaceSmootherT.hh>`

Inheritance diagram for OpenMesh::Smoother::LaplaceSmootherT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::Smoother::LaplaceSmootherT< Mesh >:
[legend]

## Public Types

typedef SmootherT< Mesh >::Component | Component
typedef SmootherT< Mesh >::Continuity | Continuity
typedef SmootherT< Mesh >::Scalar | Scalar
typedef SmootherT< Mesh >::VertexHandle | VertexHandle
typedef SmootherT< Mesh >::EdgeHandle | EdgeHandle
Public Types inherited from OpenMesh::Smoother::SmootherT< Mesh >
enum | Component { Tangential , Normal , Tangential_and_Normal }
enum | Continuity { C0 , C1 , C2 }
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
typedef Mesh::Normal | NormalType
typedef Mesh::VertexHandle | VertexHandle
typedef Mesh::EdgeHandle | EdgeHandle

## Public Member Functions

| LaplaceSmootherT (Mesh &_mesh)
void | initialize (Component _comp, Continuity _cont)
Public Member Functions inherited from OpenMesh::Smoother::SmootherT< Mesh >
| SmootherT (Mesh &_mesh)
| constructor & destructor
void | initialize (Component _comp, Continuity _cont)
| Initialize smoother.
virtual void | smooth (unsigned int _n)
| Do _n smoothing iterations.
void | set_relative_local_error (Scalar _err)
| Set local error relative to bounding box.
void | set_absolute_local_error (Scalar _err)
| Set local error as an absolute value.
void | disable_local_error_check ()
| Disable error control of the smoother.
void | skip_features (bool _state)
| enable or disable feature handling

## Protected Member Functions

Scalar | weight (VertexHandle _vh) const
Scalar | weight (EdgeHandle _eh) const
Protected Member Functions inherited from OpenMesh::Smoother::SmootherT< Mesh >
virtual void | compute_new_positions_C0 ()=0
virtual void | compute_new_positions_C1 ()=0
const Point & | orig_position (VertexHandle _vh) const
const NormalType & | orig_normal (VertexHandle _vh) const
const Point & | new_position (VertexHandle _vh) const
void | set_new_position (VertexHandle _vh, const Point &_p)
bool | is_active (VertexHandle _vh) const
Component | component () const
Continuity | continuity () const

## Additional Inherited Members

Protected Attributes inherited from OpenMesh::Smoother::SmootherT< Mesh >
Mesh & | mesh_
bool | skip_features_

## Detailed Description

template<class Mesh>
class OpenMesh::Smoother::LaplaceSmootherT< Mesh >

Laplacian Smoothing.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Smoother/LaplaceSmootherT.hh
- OpenMesh/Tools/Smoother/LaplaceSmootherT_impl.hh